
Figure - Bug #112578
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110895 (New): AF-V1.0功能测试-桌面

【AF】【EVT】【桌面】【图库】使用屏幕截图截一张图，点击图片旁边的分享按钮，再点击弹出页面的编
辑按钮，会造成闪退，无法进入编辑模式，重复操作会导致图库崩溃
2022-10-14 19:16 - CD TEST-方永红

Status: CLOSED Start date: 2022-10-14

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20221014.alpha

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.user.0.0.0.20221023.alpha

Reproducibility: Every time Fixed Version: 2022-09-22

Test Type: IT Root cause: AOSP问题

Description

【前提条件】

1、设备已开机

【测试步骤】

1、进入控制中心

2、点击屏幕截图

3、点击出现的截图的旁边的分享按钮

4、点击弹出页面的编辑按钮

【预期结果】

4、点击之后进入图片编辑模式

【实际结果】

4、会造成闪退，无法进入编辑模式，重复操作会导致图库崩溃

History

#1 - 2022-10-20 18:22 - CD APP-黄棚

- Assignee changed from CD APP-王营 to CD APP-黄棚

- % Done changed from 0 to 100

- Degrated changed from -- to No

- Fixed Version set to 2022-09-21

- Root cause set to AOSP问题

■ Current conclusion

已定位问题，SystemUI screensot在创建ShareAction的时候并没有将URl传递给setData,而是给了ClipData.

Gallery2获取是通过getData获取的，这样的话肯定拿到的uri就为空了

■ My analysis

修改galler2，如果getData为空就去判断getClipData是否有值

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Gallery2/+/156636
#2 - 2022-10-21 15:04 - CD APP-黄棚

- Fixed Version changed from 2022-09-21 to 2022-09-22

#3 - 2022-10-21 15:09 - CD APP-黄棚

- Assignee changed from CD APP-黄棚 to CD TEST-方永红

#4 - 2022-10-21 16:06 - CD APP-黄棚

- Status changed from New to ASSIGNED

#5 - 2022-10-21 16:06 - CD APP-黄棚

- Status changed from ASSIGNED to RESOLVED

- Resolution changed from -- to FIXED

#6 - 2022-10-24 10:16 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.D.user.0.0.0.20221023.alpha

10.24 验证关闭

#7 - 2022-10-24 10:16 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#8 - 2022-12-22 20:45 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

156636 general/platform/packages/apps/Galler

y2

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:Gallery2: Fix Gallery2 edit mode crash bug1. Fix Gallery2 edit mode crash bugTC-RID: 1201-0300701IssueID: TS-R-DF-112578Change-Id:

I8e9084e0bd85339095c34d5ebd7c3e2e98b4f4d2

Files

Phone-5221FC0 2022-10-14 18-29-49.mp4 17 MB 2022-10-14 CD TEST-方永红

141914.txt 8.86 MB 2022-10-14 CD TEST-方永红
